<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>hp_bridge.h</name>
    <path>F:/git/visualize/hoops_3df/Dev_Tools/hp_bridge/source/</path>
    <filename>hp__bridge_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>HP_ERROR_key_out_of_range</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>aeb6ac7e1a5d5707b900268d45d01ba22</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HP_ERROR_non_circle_key_out_of_range</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a2b2272e6090be11c6f42d902f622d8bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HP_ERROR_key_does_not_exist</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a76d79ae9e496422fcb905d75db33f955</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HP_ERROR_unable_to_determine_entity_class</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>af3fef649340ad25b5dd03df7a4b51d79</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HP_ERROR_non_mappable_entity_class</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a598487ae3ea8fb164adc752cba4a669e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HP_ERROR_unknown_entity_class</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>af09411da5268eee047f9612f70713afc</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HP_ERROR_not_implemented</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>ae933cfed683c43a4bf936a3f75040ad5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HP_ERROR_hoops_key_maps_to_invalid_entity_class</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a2aa41ba8f7c0da86edf2b67e6b2a6522</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HP_ERROR_incorrect_face_tag_mapping</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>ae6fe83a657b175be004d4a5dba86aeaf</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Init</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>ad54c855e8285093f75d7cf08bea11d1b</anchor>
      <arglist>(const char *pathToSchemaFiles, PK_LOGICAL_t useBulletinBoard, bool bUnicodeFilenames=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Close</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a2c1ba3babe601009183fdc5d78593e9f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Init</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a0707ec07a1ca24e68f48541c42b7a775</anchor>
      <arglist>(const wchar_t *pathToSchemaFiles, PK_LOGICAL_t useBulletinBoard, bool bUnicodeFilenames=true)</arglist>
      <docanchor file="hp__bridge_8h">Details</docanchor>
    </member>
    <member kind="function">
      <type>PK_ERROR_code_t</type>
      <name>HP_Read_Xmt_File</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a38a04b6c47bd4363ad4d07221f560da5</anchor>
      <arglist>(const wchar_t *filename, PK_PARTITION_t file_partition, int *num_parts, PK_PART_t **parts, const PK_PART_receive_o_t *options, bool tesselate=true)</arglist>
    </member>
    <member kind="function">
      <type>PK_ERROR_code_t</type>
      <name>HP_Write_Xmt_File</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a52d67a751359062d531310203e53cc47</anchor>
      <arglist>(const wchar_t *filename, int num_parts, const PK_PART_t *parts, const PK_PART_transmit_o_t *options)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Delete_Entity_Geometry</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a3ec9684879a07d3037f250835a089304</anchor>
      <arglist>(unsigned long count, PK_ENTITY_t *entities, bool PreserveSegments=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Render_Entities</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a9cd3cb7670fa817e0f607587f4022232</anchor>
      <arglist>(unsigned long count, PK_ENTITY_t *entities, PK_TRANSF_t view_transf=NULTAG, PK_TRANSF_t *topol_transf=0, const char *face_tessellation_level=nullptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Render_Entity</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a8fe6604d90c6c25c44d81da71d3ce44a</anchor>
      <arglist>(PK_ENTITY_t entity, PK_TRANSF_t trans=NULTAG, PK_TRANSF_t topol_transf=NULTAG, const char *face_tessellation_level=nullptr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>HP_Update_Entity</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a3272c2878b94d71eb0cdb2922154f6d6</anchor>
      <arglist>(PK_ENTITY_t entity, PK_TRANSF_t view_trans=NULTAG, PK_TRANSF_t topol_transf=NULTAG)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Show_Tessellation_Options</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a813f9389607ed40ea2ec618df5c2cd01</anchor>
      <arglist>(PK_TOPOL_render_line_o_t *line_Options, PK_TOPOL_render_facet_go_o_t *go_options, PK_TOPOL_facet_mesh_o_t *generation_settings)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Set_Tessellation_Options</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a4ccb449d4b2cd4c0a4ec371b0417d95a</anchor>
      <arglist>(PK_TOPOL_render_line_o_t *line_Options, PK_TOPOL_render_facet_go_o_t *go_options, PK_TOPOL_facet_mesh_o_t *generation_settings)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>HP_Compute_Geometry_Keys</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>af3aeaf235417ebdb326bfd32a18f2845</anchor>
      <arglist>(PK_ENTITY_t tagID, long max_count, HC_KEY *keys, const char *list)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>HP_Compute_Geometry_Key_Count</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a539857f0ebb82d056afb7504266b4f8d</anchor>
      <arglist>(PK_ENTITY_t tagID, char *list)</arglist>
    </member>
    <member kind="function">
      <type>PK_ENTITY_t</type>
      <name>HP_Compute_TagID</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a5af8be80a03781244c5c3b7cc1e0d68c</anchor>
      <arglist>(HC_KEY key, PK_CLASS_t paraClass)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Set_Rendering_Options</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a2a9b08b68d1ac1c60f85142b861a46e7</anchor>
      <arglist>(const char *list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Show_Rendering_Options</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a8a55fb319440ba6a23938409b3d19e7a</anchor>
      <arglist>(char *list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>HP_Set_Instances_To_Bodies</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a7363ccf5680c9b4b199b3950cb2de905</anchor>
      <arglist>(bool flatten)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>HP_Get_Instances_To_Bodies</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>ac24cae4beb381c4e9c2b7d2b1770b030</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>HP_Associate_Key_To_Entity</name>
      <anchorfile>hp__bridge_8h.html</anchorfile>
      <anchor>a784466982c8e31c8c7495f88dba0277d</anchor>
      <arglist>(PK_ENTITY_t entity, HC_KEY key)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>F:/git/visualize/hoops_3df/Dev_Tools</name>
    <path>F:/git/visualize/hoops_3df/Dev_Tools/</path>
    <filename>dir_ab4b9e400a1599dc5903abd106530b0a.html</filename>
    <dir>F:/git/visualize/hoops_3df/Dev_Tools/hp_bridge</dir>
  </compound>
  <compound kind="dir">
    <name>F:/git/visualize/hoops_3df/Dev_Tools/hp_bridge</name>
    <path>F:/git/visualize/hoops_3df/Dev_Tools/hp_bridge/</path>
    <filename>dir_984319e831524a82573da14d6ab97646.html</filename>
    <dir>F:/git/visualize/hoops_3df/Dev_Tools/hp_bridge/source</dir>
  </compound>
  <compound kind="dir">
    <name>F:/git/visualize/hoops_3df/Dev_Tools/hp_bridge/source</name>
    <path>F:/git/visualize/hoops_3df/Dev_Tools/hp_bridge/source/</path>
    <filename>dir_8e08d5821e35927b34a3bbd0ccf25f85.html</filename>
    <file>hp_bridge.h</file>
  </compound>
</tagfile>
